Package com.sun.grid.security.login

# Class ConsoleCallbackHandler

java.lang.Object
com.sun.grid.security.login.ConsoleCallbackHandler

All Implemented Interfaces:
  `CallbackHandler`

public class ConsoleCallbackHandler extends Object implements CallbackHandler
This `CallbackHandler` reads input from the console. The following callback can be handled:

- `NameCallback`
- `PasswordCallback`
- `TextInputCallback`
- `TextOutputCallback`

It uses the native library juti to turn of echoing.

See Also:
  - `SGEUtil.getPassword(java.lang.String)`

## Constructor Summary

Constructors
Constructor
Description
`ConsoleCallbackHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(Callback[] callbacks)`
Handle callbacks

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConsoleCallbackHandler

public ConsoleCallbackHandler()

## Method Details

### handle

public void handle(Callback[] callbacks) throws IOException, UnsupportedCallbackException
Handle callbacks

Specified by:
  `handle` in interface `CallbackHandler`
Parameters:
  `callbacks` - array of callbacks
Throws:
  `IOException` - on an IO error
  `UnsupportedCallbackException` - if a callback is not supported